QGIS Application - Bug report #12656
Style Manager filter ignores currently selected group
2015-04-27 09:50 AM - Spencer Gardner

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:2.8.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 20769
Description

| have created a new group in Style Manager and populated it with some styles. When | filter the symbols in my group using the filter box,
the results return matches from all ungrouped and grouped styles, even styles that are assigned to a different group than the one I'm
looking at. The filter should operate only on the group selected.

Steps to reproduce:

1) Open Style Manager

2) Create a new group

3) Create a new line style called "test road"

)
)
4) Assign "test road" to the new group
5) Select the new group

)

6) In the filter box type "road"

The results include road styles from the ungrouped styles as well as any matches from other groups. Should only show "test road" since
this is the only match in the new group.

History

#1 - 2015-04-27 11:07 PM - Pirmin Kalberer

- Crashes QGIS or corrupts data set to No

- Tracker changed from Support to Bug report

- Project changed from QGIS Redmine (QGIS bug tracker) to QGIS Application
- Affected QGIS version set to 2.8.1

#2 - 2015-06-08 05:40 AM - Jiirgen Fischer
- Category set to Symbology

#3 - 2017-05-01 01:07 AM - Giovanni Manghi
- Regression? set to No
- Easy fix? set to No

#4 - 2019-01-14 09:24 AM - Nyall Dawson
- Resolution set to fixed/implemented

- Description updated
- Status changed from Open to Closed

Fixed in master
